import request from '@/utils/request'

// 查询远程函数列表
export function listFunction11691998078000(query) {
  return request({
    url: '/forms/api/gen/Function11691998078000/list',
    method: 'get',
    params: query
  })
}

// 查询远程函数详细
export function getFunction11691998078000(id) {
  return request({
    url: '/forms/api/gen/Function11691998078000/' + id,
    method: 'get'
  })
}

// 新增远程函数
export function addFunction11691998078000(data) {
  return request({
    url: '/forms/api/gen/Function11691998078000',
    method: 'post',
    data: data
  })
}

// 增量初始化
export function addInitApijsonConfig(id) {
  return request({
    url: '/forms/api/get',
    method: 'post',
    data: {
		"id": id,
		"data()": "addInitApijsonConfig(function,id)"
	}
  })
}

// 修改远程函数
export function updateFunction11691998078000(data) {
  return request({
    url: '/forms/api/gen/Function11691998078000',
    method: 'put',
    data: data
  })
}

// 删除远程函数
export function delFunction11691998078000(id) {
  return request({
    url: '/forms/api/gen/Function11691998078000/' + id,
    method: 'delete'
  })
}